org.apache.torque.templates.model

## Class Column

- java.lang.Object
- - org.apache.torque.templates.model.Column

-     public class Column
      extends Object

  The model of the column tag in a Torque schema file.
  Version:
    $Id: $

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `_default` The default value of the column.
    `Boolean` | `_protected` Whether getters and setters for the field in the database object should be protected instead of public.
    `Boolean` | `autoIncrement` Whether this column should be automatically set by whatever id generation mechanism used for this column.
    `String` | `ddlSql` Contains the SQL to define the column.
    `String` | `description` The description of (== comment for) the column.
    `String` | `domain` The domain reference name to set common settings.
    `String` | `enumConstraintName` the constraint name for an enum column.
    `String` | `enumType` The name of the enum type for the column.
    `List<EnumValue>` | `enumValueList` The list of enum values for this column.
    `Boolean` | `generateEnum` Whether to generate an enum constraint for the column (nb: predefined enums can be defined for which no constraint can be defuned).
    `List<Inheritance>` | `inheritanceList` The list of inheritances for this column.
    `String` | `inheritanceType` The inheritance method used.
    `String` | `javaName` The field name for the column in the database object.
    `String` | `javaType` The type of the field for the column in the database object.
    `String` | `name` The column's name.
    `List<Option>` | `optionList` The list of options for this column.
    `Table` | `parent` The table to which the column belongs.
    `Boolean` | `primaryKey` Whether this column is a primary key of this column.
    `Boolean` | `required` Whether this column is required to be not-null.
    `String` | `scale` The scale of the column.
    `String` | `size` How many decimal places, characters or bytes the column can take.
    `String` | `type` The type of the column.
    `Boolean` | `useDatabaseDefaultValue` Whether the database default value should be used when saving this column.
    `Boolean` | `version` Whether this column is a version column.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Column()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### parent

          public Table parent

      The table to which the column belongs.

    - #### optionList

          public List<Option> optionList

      The list of options for this column.

    - #### inheritanceList

          public List<Inheritance> inheritanceList

      The list of inheritances for this column.

    - #### enumValueList

          public List<EnumValue> enumValueList

      The list of enum values for this column.

    - #### name

          public String name

      The column's name.

    - #### type

          public String type

      The type of the column.

    - #### size

          public String size

      How many decimal places, characters or bytes the column can take.

    - #### scale

          public String scale

      The scale of the column.

    - #### _default

          public String _default

      The default value of the column.

    - #### useDatabaseDefaultValue

          public Boolean useDatabaseDefaultValue

      Whether the database default value should be used when saving this column.

    - #### primaryKey

          public Boolean primaryKey

      Whether this column is a primary key of this column.

    - #### autoIncrement

          public Boolean autoIncrement

      Whether this column should be automatically set by whatever id generation mechanism used for this column.

    - #### required

          public Boolean required

      Whether this column is required to be not-null.

    - #### javaName

          public String javaName

      The field name for the column in the database object.

    - #### javaType

          public String javaType

      The type of the field for the column in the database object.

    - #### domain

          public String domain

      The domain reference name to set common settings.

    - #### inheritanceType

          public String inheritanceType

      The inheritance method used.

    - #### _protected

          public Boolean _protected

      Whether getters and setters for the field in the database object should be protected instead of public.

    - #### version

          public Boolean version

      Whether this column is a version column.

    - #### description

          public String description

      The description of (== comment for) the column.

    - #### enumType

          public String enumType

      The name of the enum type for the column. It can be either fully qualified or unqualified.

    - #### ddlSql

          public String ddlSql

      Contains the SQL to define the column.

    - #### enumConstraintName

          public String enumConstraintName

      the constraint name for an enum column.

    - #### generateEnum

          public Boolean generateEnum

      Whether to generate an enum constraint for the column (nb: predefined enums can be defined for which no constraint can be defuned).

  - ### Constructor Detail

    - #### Column

          public Column()

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.